Name:           python-incremental
Version:        17.5.0
Release:        5
Summary:        A small library versions your Python projects
License:        MIT
URL:            https://github.com/twisted/incremental
Source0:        https://files.pythonhosted.org/packages/source/i/incremental/incremental-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools python3-devel python3-setuptools

%description
Incremental is a small library that versions your Python projects.

%package -n     python2-incremental
Summary:        A small library versions your Python projects
%python_provide python2-incremental

%description -n python2-incremental
Incremental is a small library that versions your Python projects.

%package -n     python3-incremental
Summary:        A small library versions your Python projects
%python_provide python3-incremental

%description -n python3-incremental
Incremental is a small library that versions your Python projects.

%prep
%autosetup -n incremental-%{version} -p1
rm -rf incremental.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%files -n python2-incremental
%doc LICENSE
%doc README.rst
%{python2_sitelib}/incremental
%{python2_sitelib}/incremental-%{version}-py?.?.egg-info

%files -n python3-incremental
%doc LICENSE
%doc README.rst
%{python3_sitelib}/incremental
%{python3_sitelib}/incremental-%{version}-py?.?.egg-info

%changelog
* Fri Feb 21 2020 gulining<gulining1@huawei.com> - 17.5.0-5
- Package init.
